//*----------------------------------------------------------------------------
// TASTENPRELLEN.H
//*----------------------------------------------------------------------------
#ifndef __TASTENPRELLEN_H
#define __TASTENPRELLEN_H


#define KEY_PORT PORTB     // Port PORTQ

#define KEY_PIN	 	KEY_PORT.IN // Pin einlesen
		

//  Key Port B   Key 4,5,6,7

#define KEY0		0 
#define KEY1		1
#define KEY2		2	 	
#define KEY3		3	

#define REPEAT_MASK	 (1 << KEY2)	// repeat: key1, key2
#define REPEAT_START 50		// after 500ms
#define REPEAT_NEXT	 20		// every 200ms
 

uint8_t key_state;				// debounced and inverted key state:
								// bit = 1: key pressed
uint8_t key_press;				// key press detect
 
uint8_t key_rpt;				// key long press and repeat

void Key_service (void);
uint8_t get_key_rpt(uint8_t key_mask); 
uint8_t get_key_press(uint8_t key_mask);
uint8_t get_key_short(uint8_t key_mask);
uint8_t get_key_long(uint8_t key_mask);


  
//*----------------------------------------------------------------------------
#endif
